Summary: A text-based interface for setting and loading a keyboard map.
Name: kbdconfig
Version: 1.9.16
Release: 2.1AX
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/kbdconfig-%{version}-root
Requires: kbd >= 1.06
BuildPrereq: newt-devel
Source: kbdconfig-%{version}.tar.gz
ExcludeArch: s390 s390x

Patch1: kbdconfig-loadkeys-always.patch

%description
The kbdconfig utility is a terminal mode program which provides a
simple interface for setting the keyboard map for your system.  You
need keyboard maps to use any keyboard other than the US default
keyboard. Kbdconfig will load the selected keymap before exiting and
configure your machine to use that keymap automatically after
rebooting.

You should install kbdconfig if you need a utility for changing your
keyboard map.

%prep
%setup -q
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MANDIR=%{_mandir}

%install
make INSTROOT=$RPM_BUILD_ROOT install MANDIR=%{_mandir}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files 
%defattr(-,root,root)
/usr/sbin/kbdconfig
%{_mandir}/*/*

%changelog
* Sat Mar 11 2006 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.9.16-2.1AX
- Fix to execute loadkeys everytime(Patch1) BugzillaAX#1330

* Tue Sep  3 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.9.16-1
- Update translations

* Thu Aug 15 2002 Bill Nottingham <notting@redhat.com>
- rebuild against new newt

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com>
- don't strip binaries

* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.9.15-2
- Update translations

* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.9.15-1
- Update translations

* Mon Feb 25 2002 Bill Nottingham <notting@redhat.com>
- fix build for mandir != /usr/share/man (#60240, <andrew.taylor@cal.montage.ca>)

* Thu Jan 25 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Tue Aug 28 2001 Kjartan Maraas <kmaraas@gnu.org>
- Fix some warnings and a broken .po file.

* Tue Jul 10 2001 Bill Nottingham <notting@redhat.com>
- fix segfault (#43942)
- buildprereq: newt-devel

* Tue Jun 19 2001 Karsten Hopp <karsten@redhat.de>
- console-tools is obsolete -> require kbd
- Copyright -> License

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Mon Mar 12 2001 Bill Nottingham <notting@redhat.com>
- require console-tools (#31516)

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- last translation update.

* Wed Jan 24 2001 Preston Brown <pbrown@redhat.com>
- final i18n update before beta

* Wed Jan 17 2001 Nalin Dahyabhai <nalin@redhat.com>
- look for keyboard information in /lib instead of /usr/lib

* Mon Jan 15 2001 Bill Nottingham <notting@redhat.com>
- translate copyright message (#23740)

* Fri Jan 12 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%lang

* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- updated it/es translations

* Sun Aug 20 2000 Matt Wilson <msw@redhat.com>
- new translations

* Tue Aug 15 2000 Bill Nottingham <notting@redhat.com>
- change copyright date

* Wed Aug 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- i18n merge
- use %%{_tmppath}
- use %%defattr
- include translated man pages

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Oct  6 1999 Jakub Jelinek <jakub@redhat.com>
- fix serial console check on SPARC, remove
  /etc/sysconfig/keyboard and console/default.kmap
  if on serial console.

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Flag Linux 6.0

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- save keymap to /etc/sysconfig/console, if available

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po

* Sat Feb 27 1999 Matt Wilson <msw@redhat.com>
- synced with UltraPenguin to add support for console-tools

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.40
 
* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- turkish message catalog

* Wed Sep 23 1998 Erik Troan <ewt@redhat.com>
- look in qwertz directory as well

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- remove path checks from keyboard map processing.
- add sparc support.

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- added --back
- built against newt 0.30

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>
- added i18n support
- added --back option
- added man page
- buildrooted spec file

* Mon Jan 12 1998 Erik Troan <ewt@redhat.com>
- added patch to replace alloca() with malloc()

* Tue Nov  4 1997 Michael Fulbrght <msf@redhat.com>
- changed to handle .map and .map.gz files properly
